<div class="mid-body">
  <div class="container">
    <h1>Noise Data</h1>

    <div class="noise-page">
      <div class="border-with-white-bg border-form control-form">
        <form #noiseForm="ngForm">
          <div class="form-row tab-main">
            <div class="col-sm-3 tab-cell">
              <label>Fan Location</label>
            </div>
            <div class="col-sm-9 tab-cell">
              <select placeholder="Select Duct" class="select-with-icon" #fanLocation="ngModel" name="fanLocation" [(ngModel)]="noiseData.FanLocation">
                <option>Select Fan Location</option>
                <option value="0">Centre of the Room</option>
                <option value="1">Centre of a Wall</option>
                <option value="2">Centre of a Corner</option>
                <option value="3">Corner</option>
              </select>
            </div>
          </div>
          <div class="form-row tab-main">
            <div class="col-sm-3 tab-cell">
              <label>Absorption area of room</label>
            </div>

            <div class="col-sm-9 tab-cell">
              <input type="text" name="abRoom" value="" placeholder="0" required ngModel #abRoom="ngModel" [(ngModel)]="noiseData.RoomAbsorptionArea"
              />
              <div *ngIf="abRoom.invalid && (abRoom.dirty || abRoom.touched)" class="alert alert-danger">
                <div *ngIf="abRoom.errors.required">
                  <small> Absorption area of room is required </small>
                </div>
              </div>
            </div>
          </div>
          <div class="form-row tab-main">
            <div class="col-sm-3 tab-cell">
              <label>Background Noise correction</label>
            </div>
            <div class="col-sm-9 tab-cell">
              <input type="text" name="bgNoise" value="" placeholder="0" required ngModel #bgNoise="ngModel" [(ngModel)]="noiseData.BackgroundNoiseCorrection"
              />
              <div *ngIf="bgNoise.invalid && (bgNoise.dirty || bgNoise.touched)" class="alert alert-danger">
                <div *ngIf="bgNoise.errors.required">
                  <small> Background Noise correction is required </small>
                </div>
              </div>
            </div>
          </div>
          <div class="form-row tab-main">
            <div class="col-sm-3 tab-cell">
              <label>Design Type</label>
            </div>
            <div class="col-sm-9 tab-cell">
              <select placeholder="Select Design" class="select-with-icon" #designType="ngModel" name="designType" [(ngModel)]="noiseData.Design">
                <option>Select Design</option>
                <option value="0">RU/RE[single inlet ducted/with intake notzle]</option>
                <option value="1">RS[single inlet with intake box]</option>
                <option value="2">ZE[double inlet with inlet notzle]</option>
                <option value="3">ZS[double inlet with intake box]</option>
              </select>
            </div>
          </div>
          <div class="form-row tab-main">
            <div class="col-sm-3 tab-cell">
              <label>Housing Metal thickness[mm]</label>
            </div>
            <div class="col-sm-9 tab-cell">
              <input type="text" name="metalThickness" value="" placeholder="0" required ngModel #metalThickness="ngModel" [(ngModel)]="noiseData.HousingMetalPlateThickness"
              />
              <div *ngIf="metalThickness.invalid && (metalThickness.dirty || metalThickness.touched)" class="alert alert-danger">
                <div *ngIf="metalThickness.errors.required">
                  <small> Housing Metal thickness is required </small>
                </div>
              </div>
            </div>
          </div>
          <div class="form-row tab-main">
            <div class="col-sm-3 tab-cell">
              <label>Distance between stiffners 2a[mm]</label>
            </div>
            <div class="col-sm-9 tab-cell">
              <input type="text" name="distance" value="" placeholder="0" required ngModel #distance="ngModel" [(ngModel)]="noiseData.DistanceBetweenStiffners"
              />
              <div *ngIf="distance.invalid && (distance.dirty || distance.touched)" class="alert alert-danger">
                <div *ngIf="distance.errors.required">
                  <small> Distance between stiffners is required </small>
                </div>
              </div>
            </div>
          </div>
          <div class="form-row tab-main">
            <div class="col-sm-3 tab-cell">
              <label>Housing Material</label>
            </div>
            <div class="col-sm-9 tab-cell">
              <select placeholder="Select Housing Material" class="select-with-icon" #housingMaterial="ngModel" name="housingMaterial"
                [(ngModel)]="noiseData.HousingMaterial">
                <option>Select Housing Material</option>
                <option value="0">Steel,Alu. or stainless steel plate</option>
                <option value="1">Steel plate rubberized</option>
                <!-- <option>3.4</option> -->
              </select>
            </div>
          </div>

        </form>
      </div>
      <div class="mgt-15 btm-btns">
        <div class="text-right">
          <button type="button" class="btn-green">Previous</button>
          <button type="button" [disabled]="noiseForm.invalid" class="btn-green">Submit
          </button>
        </div>
      </div>
    </div>
  </div>
</div>
